c************
c  Description:	Structure Def for Standard Midas Buffers
c		This include must be preceded in the Fortran code by
c		a parameter statement defining the length of the buffer in
c		bytes e.g. PARAMETER (L_bbuf=65536)
c
c  Author:	JGS 4/2/90
c  $Revision: 1.2 $
c  $Modtime:   08/28/95 11:46:50  $
c  
c************
c
	STRUCTURE /BUFFER/
	UNION
	 MAP
	  byte		bbuf(L_bbuf)
	 END MAP
	 MAP
	  character*8	abuf(L_bbuf/8)
	 END MAP
	 MAP
	  integer*2	ibuf(L_bbuf/2)
	 END MAP
	 MAP
	  integer*4	lbuf(L_bbuf/4)
	 END MAP
	 MAP
	  real*4	fbuf(L_bbuf/4)
	 END MAP
!if !_PFC
	 MAP
	  integer*8	xbuf(L_bbuf/8)
	 END MAP
!endif
	 MAP
	  real*8	dbuf(L_bbuf/8)
	 END MAP
	 MAP
	  complex*8	cfbuf(L_bbuf/8)
	 END MAP
	 MAP
	  complex*16	cdbuf(L_bbuf/16)
	 END MAP
	 MAP
	  character*(L_bbuf)  sbuf
	 END MAP
	END UNION
	END STRUCTURE
